adding rh es3 files
authorivan <ivan>
Tue, 26 Oct 2004 12:43:07 +0000 (12:43 +0000)
committerivan <ivan>
Tue, 26 Oct 2004 12:43:07 +0000 (12:43 +0000)
install/redhat/es3/INSTALL [new file with mode: 0644]
install/redhat/es3/httpd-init [new file with mode: 0644]

diff --git a/install/redhat/es3/INSTALL b/install/redhat/es3/INSTALL
new file mode 100644 (file)
index 0000000..e28ca45
--- /dev/null
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+up2date cvs perl-DBD-MySQL perl-DBI perl-DateManip perl-HTML-Parser \
+        perl-HTML-Tagset perl-URI perl-libwww-perl perl-CPAN \
+        rsync screen zsh lftp cvs autoconf \
+        gcc gd rh-postgresql rh-postgresql-docs rh-postgresql-libs \
+        rh-postgresql-server rh-postgresql-devel
+
+perl -MCPAN -e"install Net::Whois::Raw, Business::CreditCard, \
+                       File::CounterFile, String::Approx, Text::Template, \
+                       DBIx::DataSource, FreezeThaw, DBIx::DBSchema, \
+                       Net::SSH, String::ShellQuote, Net::SCP, Apache::ASP, \
+                       HTML::Mason, Tie::IxHash, Time::Duration, \
+                       HTML::Widgets::SelectLayers, Apache::DBI, \
+                       Cache::Cache, IPC::ShareLite, Locale::SubCountry, \
+                       Crypt::PasswdMD5, \
+                       Locale::SubCountry, DBI, DBD::Pg, \
+                       File::Temp"
+
+lftpget http://dag.wieers.com/packages/apt/apt-0.5.15cnc6-3.1.el3.dag.i386.rpm
+rpm -i apt-0.5.15cnc6-3.1.el3.dag.i386.rpm 
+apt-get update
+apt-get install perl-GD perl-MailTools perl-TimeDate perl-NetAddr-IP
+
+perl -MCPAN -e"install Chart::Base"
+
+#apachetoolbox
+#lftpget http://umn.dl.sourceforge.net/sourceforge/apachetoolbox/Apachetoolbox-install-1.5.70.tar.gz
+cp httpd-init /etc/init.d/httpd-freeside
+/sbin/chkconfig httpd-freeside on
+
+/usr/sbin/useradd freeside
+
+/sbin/chkconfig rhdb on
+/etc/init.d/rhdb start
+
+su postgres -c "createuser -P freeside"
+
+su freeside -c "createdb freeside"
+
+#?
+cd ../../..
+make install-perl-modules
+make create-config
+freeside-adduser -c -h /usr/local/etc/freeside/htpasswd ivan
+su freeside -c 'freeside-setup ivan'
+su freeside -c '/home/ivan/freeside/bin/populate-msgcat ivan'
+make deploy
+
diff --git a/install/redhat/es3/httpd-init b/install/redhat/es3/httpd-init
new file mode 100644 (file)
index 0000000..dca95cf
--- /dev/null
@@ -0,0 +1,50 @@
+#!/bin/bash
+#
+# Startup script for the Apache Web Server
+#
+# chkconfig: - 85 15
+# description: Apache is a World Wide Web server.  It is used to serve \
+#              HTML files and CGI.
+# processname: httpd
+# Source function library.
+
+# Path to the apachectl script, server binary, and short-form for messages.
+apachectl=/usr/local/apache/bin/apachectl
+prog=httpd
+RETVAL=0
+
+start() {
+        echo -n $"Starting $prog: "
+        $apachectl startssl
+        RETVAL=$?
+}
+stop() {
+        echo -n $"Stopping $prog: "
+        $apachectl stop
+        RETVAL=$?
+}
+
+# See how we were called.
+case "$1" in
+  start)
+        start
+        ;;
+  stop)
+        stop
+        ;;
+  restart)
+        stop
+        sleep 3
+        start
+        ;;
+  graceful|help|configtest)
+        $apachectl $@
+        RETVAL=$?
+        ;;
+  *)
+        echo $"Usage: $prog {start|stop|restart|graceful|help|configtest}"
+        exit 1
+esac
+
+exit $RETVAL
+